## authselect 1.6.1

=== src/tests/system/requirements.txt ===
pytest
git+https://github.com/next-actions/pytest-importance
git+https://github.com/next-actions/pytest-mh
git+https://github.com/next-actions/pytest-ticket
git+https://github.com/next-actions/pytest-tier
git+https://github.com/next-actions/pytest-output
git+https://github.com/SSSD/sssd-test-framework

## authselect 1.5.0

=== debian/changelog ===
authselect (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0
  * Use pkgconf instead of pkg-config.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 23 Feb 2024 19:25:10 +0000

authselect (1.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1056209)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 12 Dec 2023 20:25:33 +0000

=== debian/control ===
Source: authselect
Section: admin
Priority: optional
Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13), pkgconf, libpopt-dev,
 libselinux-dev, libcmocka-dev
Standards-Version: 4.6.2
Homepage: https://github.com/authselect/authselect
Vcs-Browser: https://salsa.debian.org/sudip/authselect
Vcs-Git: https://salsa.debian.org/sudip/authselect.git

Package: authselect
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Tool to select authentication and identity sources from supported profiles
 Authselect is designed to be a replacement for authconfig but it takes
 a different approach to configure the system. Instead of letting
 the administrator build the PAM stack with a tool (which may potentially
 end up with a broken configuration), it would ship several tested stacks
 (profiles) that solve a use-case and are well tested and supported.
 At the same time, some obsolete features of authconfig are not
 supported by authselect.

Package: libauthselect3
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Utility library used by the authselect tool
 Common library files for authselect. This package is used by the authselect
 command line tool and any other potential front-ends.
 .
 This package contains the shared library.

Package: libauthselect-dev
Section: libdevel
Architecture: any
Depends:
 libauthselect3 (= ${binary:Version}),
 ${misc:Depends},
Description: Development libraries and headers for authselect
 System header files and development libraries for authselect. Useful to
 develop a front-end for the authselect library.
 .
 This package is needed to compile programs against libauthselect3.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/authselect/authselect/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## authselect 1.6.1

=== debian/changelog ===
authselect (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
    - Updating to new version removes use of pam_lastlog.so. (Closes: #1068241)
    - Update symbols.
  * Update Standards-Version to 4.7.2

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 15 Sep 2025 18:23:57 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  debhelper-compat (= 13), pkgconf, libpopt-dev,
  libselinux-dev, libcmocka-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/authselect/authselect
 Vcs-Browser: https://salsa.debian.org/sudip/authselect
 Vcs-Git: https://salsa.debian.org/sudip/authselect.git
@@ -25,7 +25,7 @@
  At the same time, some obsolete features of authconfig are not
  supported by authselect.
 
-Package: libauthselect3
+Package: libauthselect4
 Section: libs
 Architecture: any
 Depends:
@@ -41,10 +41,10 @@
 Section: libdevel
 Architecture: any
 Depends:
- libauthselect3 (= ${binary:Version}),
+ libauthselect4 (= ${binary:Version}),
  ${misc:Depends},
 Description: Development libraries and headers for authselect
  System header files and development libraries for authselect. Useful to
  develop a front-end for the authselect library.
  .
- This package is needed to compile programs against libauthselect3.
+ This package is needed to compile programs against libauthselect4.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-completion-dir=/usr/share/bash-completion/completions

override_dh_auto_install:
	dh_auto_install
	sed -i "/dependency_libs/ s/'.*'/''/" `find . -name '*.la'`
	mv debian/tmp/usr/share/bash-completion/completions/authselect-completion.sh debian/tmp/usr/share/bash-completion/completions/authselect

## authselect 1.6.2

=== debian/changelog ===
authselect (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2
    - Rename libraries with soname bump.
    - Update symbols.
    - Install service file.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 28 Nov 2025 21:51:04 +0000

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  At the same time, some obsolete features of authconfig are not
  supported by authselect.
 
-Package: libauthselect4
+Package: libauthselect5
 Section: libs
 Architecture: any
 Depends:
@@ -41,10 +41,10 @@
 Section: libdevel
 Architecture: any
 Depends:
- libauthselect4 (= ${binary:Version}),
+ libauthselect5 (= ${binary:Version}),
  ${misc:Depends},
 Description: Development libraries and headers for authselect
  System header files and development libraries for authselect. Useful to
  develop a front-end for the authselect library.
  .
- This package is needed to compile programs against libauthselect4.
+ This package is needed to compile programs against libauthselect5.

## authselect 1.7.1

=== debian/changelog ===
authselect (1.7.1-1) unstable; urgency=medium

  * New upstream version 1.7.1
    - Update symbols.
  * Make builds reproducible. (Closes: #1123603)
    - Thanks Chris Lamb.
  * Update Standards-Version to 4.7.3
  * Remove Rules-Requires-Root: no

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sun, 25 Jan 2026 20:10:16 +0000

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Sudip Mukherjee <sudipm.mukherjee@gmail.com>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13), pkgconf, libpopt-dev,
  libselinux-dev, libcmocka-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/authselect/authselect
 Vcs-Browser: https://salsa.debian.org/sudip/authselect
 Vcs-Git: https://salsa.debian.org/sudip/authselect.git
